##### Coverage Report - org.seasar.cubby.action.ActionResult

Classes in this File | Line Coverage | Branch Coverage | Complexity
ActionResult |
N/A | N/A
N/A | N/A
| 1.0;1

1 |  |
     /*
2 |  |
      * Copyright 2004-2009 the Seasar Foundation and the Others.
3 |  |
      *
4 |  |
      * Licensed under the Apache License, Version 2.0 (the "License");
5 |  |
      * you may not use this file except in compliance with the License.
6 |  |
      * You may obtain a copy of the License at
7 |  |
      *
8 |  |
      *     http://www.apache.org/licenses/LICENSE-2.0
9 |  |
      *
10 |  |
      * Unless required by applicable law or agreed to in writing, software
11 |  |
      * distributed under the License is distributed on an "AS IS" BASIS,
12 |  |
      * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
13 |  |
      * either express or implied. See the License for the specific language
14 |  |
      * governing permissions and limitations under the License.
15 |  |
      */
16 |  |
     package org.seasar.cubby.action;
17 |  |
18 |  |
     import javax.servlet.http.HttpServletRequest;
19 |  |
     import javax.servlet.http.HttpServletResponse;
20 |  |
21 |  |
     /**
22 |  |
      * アクションメソッド実行後の処理を表す結果オブジェクトのインターフェイス
23 |  |
      *
24 |  |
      * @author agata
25 |  |
      */
26 |  |
     public interface ActionResult {
27 |  |
28 |  |
             /**
29 |  |
              * 処理を実行します。
30 |  |
              *
31 |  |
              * @param actionContext
32 |  |
              *            アクションコンテキスト
33 |  |
              * @param request
34 |  |
              *            要求
35 |  |
              * @param response
36 |  |
              *            応答
37 |  |
              * @throws Exception
38 |  |
              */
39 |  |
             void execute(ActionContext actionContext, HttpServletRequest request,
40 |  |
                             HttpServletResponse response) throws Exception;
41 |  |
42 |  |
     }